summaryrefslogtreecommitdiffstats
path: root/client/shared/scripts/restoreImage
diff options
context:
space:
mode:
authoririna <irinagomez@us.es>2014-03-04 13:07:35 +0000
committeririna <irinagomez@us.es>2014-03-04 13:07:35 +0000
commit30ad471609a53482410d51b66f0c9f764c2e944a (patch)
treefdd9c2b594b417e399b86d509c874ed2f0608789 /client/shared/scripts/restoreImage
parent46f7d6f1ff72d67b3aa2963400353678790b18ef (diff)
#565 #636 revisiĆ³n mensajes de error en las sincronizadas.
git-svn-id: https://opengnsys.es/svn/branches/version1.0@4173 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'client/shared/scripts/restoreImage')
-rwxr-xr-xclient/shared/scripts/restoreImage11
1 files changed, 5 insertions, 6 deletions
diff --git a/client/shared/scripts/restoreImage b/client/shared/scripts/restoreImage
index 0de16a5c..64c0940d 100755
--- a/client/shared/scripts/restoreImage
+++ b/client/shared/scripts/restoreImage
@@ -5,8 +5,8 @@
TIME1=$SECONDS
PROG="$(basename $0)"
if [ $# -lt 4 ]; then
- ogRaiseError $OG_ERR_FORMAT "$MSG_FORMAT: $PROG REPO|CACHE imagen ndisco nparticion [ UNICAST|MULTICAST opciones protocolo]" 2>&1 | tee -a $OGLOGSESSION $OGLOGFILE
- exit ${PIPESTATUS[0]}
+ ogRaiseError $OG_ERR_FORMAT "$MSG_FORMAT: $PROG REPO|CACHE imagen ndisco nparticion [ UNICAST|MULTICAST opciones protocolo]"
+ exit $?
fi
#Load engine configurator from engine.cfg file.
@@ -34,8 +34,8 @@ IMGTYPE="${IMGTYPE:-"img"}"
IMGFILE=$(ogGetPath "$REPO" "$IMGNAME.$IMGTYPE")
IMGDIR=$(ogGetParentPath "$REPO" "$IMGNAME")
if [ "$IMGFILE" == "" -o "$IMGDIR" == "" ]; then
- ogRaiseError $OG_ERR_NOTFOUND "$REPO, ${IMGNAME%/*}" 2>&1 | tee -a $OGLOGSESSION $OGLOGFILE
- exit ${PIPESTATUS[0]}
+ ogRaiseError $OG_ERR_NOTFOUND "$REPO, ${IMGNAME%/*}"
+ exit $?
fi
# Procesar protocolos de transferencia.
@@ -57,8 +57,7 @@ case "$PROTO" in
RETVAL=${PIPESTATUS[0]}
;;
*) # Protocolo desconocido.
- ogRaiseError $OG_ERR_FORMAT "$MSG_FORMAT: $PROG REPO|CACHE imagen ndisco nparticion [ UNICAST|MULTICAST opciones ]" 2>&1 | tee -a $OGLOGSESSION $OGLOGFILE
-
+ ogRaiseError $OG_ERR_FORMAT "$MSG_FORMAT: $PROG REPO|CACHE imagen ndisco nparticion [ UNICAST|MULTICAST opciones ]"
exit $?
esac